summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKieran Bingham <kieran.bingham@ideasonboard.com>2021-11-19 09:20:24 +0000
committerKieran Bingham <kieran.bingham@ideasonboard.com>2023-11-20 13:21:20 +0000
commitd94755103f1e22047a3c80b6c024d00e47476a43 (patch)
tree26583876097b63dfbeec9f9d629f4755ca9d896d
parent42316d4a8c5e7e9c03d44b0e31a4c0628b712d40 (diff)
integration-tests: Update runs
-rwxr-xr-xintegration-tests.sh25
1 files changed, 20 insertions, 5 deletions
diff --git a/integration-tests.sh b/integration-tests.sh
index e2a4031..90cc59c 100755
--- a/integration-tests.sh
+++ b/integration-tests.sh
@@ -1,11 +1,20 @@
-#!/bin/sh
+#!/bin/bash
-## $1 remote
-## $2 branch
+## $1 branch
+## $2 remote (Default to 'upstream : libcamera.org/internal')
-echo "Using Remote $1 and branch $2"
-./set-libcamera-branch.sh $1 $2
+BRANCH=$1
+REMOTE=${2:-upstream}
+source common.sh
+
+echo "Using Remote $REMOTE and branch $BRANCH"
+./set-libcamera-branch.sh $REMOTE $BRANCH
+
+pass_fail $? "Merged branch $BRANCH"
+
+echo "Validate checkstyle on the branch"
+./pre-merge-05-checkstyle.sh
echo "Building the matrix..."
./10-build-matrix.sh
@@ -18,3 +27,9 @@ echo "Running unit tests..."
echo "Validating installation/packaging..."
./52-package.sh
+
+echo "Validate with Simple-cam"
+./60-simple-cam.sh
+
+echo "Validate build of the Intel IPU3 IPA"
+./61-ipu3-ipa.sh